package com.prolog.cs.biz.inbound.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Map;

/**
 * @ClassName SearchPageParam
 * @Description TODO
 * @Author cheny
 * @Date 2021/2/26 15:35
 * @Version 1.0
 * @Copyright: www.prolog-int.com Inc. All rights reserved.
 **/
@ApiModel
public class SearchPageParam implements Serializable {
	private static final long serialVersionUID = -4569763465586498945L;
	@ApiModelProperty(value = "查询接口id")
	private String id;
	@ApiModelProperty(value = "查询所携带的参数")
	private Map<String, Object> params;
	@ApiModelProperty(value = "页码")
	private Integer pageNum;
	@ApiModelProperty(value = "每页条数")
	private Integer pageSize;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public Map<String, Object> getParams() {
		return params;
	}

	public void setParams(Map<String, Object> params) {
		this.params = params;
	}

	public Integer getPageNum() {
		return pageNum;
	}

	public void setPageNum(Integer pageNum) {
		this.pageNum = pageNum;
	}

	public Integer getPageSize() {
		return pageSize;
	}

	public void setPageSize(Integer pageSize) {
		this.pageSize = pageSize;
	}

}
